| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/list.h File Reference

Double-linked list. More...

`#include "csextern.h"`

Go to the source code of this file.

## Classes
class | csList< T >
| A lightweight double-linked list template. More...
struct | csList< T >::csListElement
| Template which describes the data stored in the linked list For example a list of ints uses csListElement<int>. More...
class | csList< T >::Iterator
| Iterator for the list. More...

## Detailed Description

Double-linked list.

Definition in file list.h.